abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
dnes 13:37 | Bezpečnostní upozornění

Společnost Cloudflare (Wikipedie) na svém blogu potvrdila bezpečnostní problém s její službou. V požadovaných odpovědích od reverzní proxy byla odesílána také data z neinicializované paměti. Útočník tak mohl získat cookies, autentizační tokeny, data posílaná přes HTTP POST a další citlivé informace. Jednalo se o chybu v parsování HTML. Zneužitelná byla od 22. září 2016 do 18. února 2017. Seznam webů, kterých se bezpečnostní problém potenciálně týká na GitHubu.

Ladislav Hagara | Komentářů: 1
dnes 08:22 | Nová verze

Byla vydána první beta verze Ubuntu 17.04 s kódovým názvem Zesty Zapus. Ke stažení jsou obrazy Kubuntu, Lubuntu, Ubuntu Budgie, Ubuntu GNOME, Ubuntu Kylin, Ubuntu Studio a Xubuntu. Dle plánu by Ubuntu 17.04 mělo vyjít 13. dubna 2017.

Ladislav Hagara | Komentářů: 0
včera 17:53 | Bezpečnostní upozornění

Google na svém blogu věnovaném počítačové bezpečnost informuje o nalezení "reálného" způsobu generování kolizí hašovací funkce SHA-1. Podrobnosti a zdrojové kódy budou zveřejněny do 90 dnů. Již dnes lze ale na stránce SHAttered nalézt 2 pdf soubory, jejichž obsah se liší a SHA-1 otisk je stejný (infografika).

Ladislav Hagara | Komentářů: 12
včera 17:51 | Nová verze

Vyšla nová verzia open source software na správu a automatizáciu cloudových datacentier Danube Cloud 2.4. Danube Cloud je riešenie postavené na SmartOS, ZFS, KVM a zónach. Obsahuje vlastnosti ako integrovaný monitoring, DNS manažment, zálohy, a samozrejme rozsiahlu dokumentáciu.

dano | Komentářů: 6
včera 17:46 | Pozvánky

V Plzni se 3. až 5. března 2017 uskuteční AIMTEChackathon. Je to akce pro vývojáře, grafiky, webdesignéry i veřejnost. Akci provází zajímavé přednášky IT odborníků. Více o programu a možnosti přihlášení na stránkách akce.

cuba | Komentářů: 0
včera 01:00 | Nová verze

Známý šifrovaný komunikátor Signal od verze 3.30.0 již nevyžaduje Google Play Services. Autoři tak po letech vyslyšeli volání komunity, která dala vzniknout Google-free forku LibreSignal (dnes již neudržovaný). Oficiální binárky jsou stále distribuované pouze přes Google Play, ale lze použít neoficiální F-Droid repozitář fdroid.eutopia.cz s nezávislými buildy Signalu nebo oficiální binárku stáhnout z Google Play i bez Google účtu

… více »
xm | Komentářů: 6
22.2. 23:14 | Nová verze

Po třech týdnech od vydání první RC verze byla vydána první stabilní verze 17.01.0 linuxové distribuce pro routery a vestavěné systémy LEDE (Linux Embedded Development Environment), forku linuxové distribuce OpenWrt. Přehled novinek v poznámkách k vydání. Dotazy v diskusním fóru.

Ladislav Hagara | Komentářů: 6
22.2. 17:28 | Bezpečnostní upozornění

Byly zveřejněny informace o bezpečnostní chybě CVE-2017-6074 v Linuxu zneužitelné k lokální eskalaci práv. Jde o chybu v podpoře DCCP (Datagram Congestion Control Protocol). Do linuxového jádra se dostala v říjnu 2005. V upstreamu byla opravena 17. února (commit). Bezpečnostní chyba byla nalezena pomocí nástroje syzkaller [Hacker News].

Ladislav Hagara | Komentářů: 15
22.2. 15:00 | Zajímavý software

Společnost Valve vydala novou beta verzi SteamVR. Z novinek lze zdůraznit oficiální podporu Linuxu. Další informace o podpoře této platformy pro vývoj virtuální reality v Linuxu v diskusním fóru. Hlášení chyb na GitHubu.

Ladislav Hagara | Komentářů: 0
22.2. 06:00 | Nová verze

Po necelém roce od vydání verze 0.67 byla vydána verze 0.68 populárního telnet a ssh klienta PuTTY. Podrobnosti v přehledu změn. Řešeny jsou také bezpečnostní chyby.

Ladislav Hagara | Komentářů: 0
Jak se stavíte k trendu ztenčování přenosných zařízení (smartphony, notebooky)?
 (13%)
 (2%)
 (72%)
 (3%)
 (10%)
Celkem 703 hlasů
 Komentářů: 66, poslední 22.2. 18:57
    Rozcestník

    Dotaz: Závislosti - dependencies instalovaného balíku.

    13.11.2009 15:44 Jaroslav Kopal
    Závislosti - dependencies instalovaného balíku.
    Přečteno: 278×
    Potřebuju pro Ubuntu 9.04 nějaký nástroj, který mi řekne, jaké další soubory - nebo další balíky, ještě mnou instalovaný balík potřebuje. Je to nějaká utilita a nebo to umí už nějaký terminálový příkaz pro práci s balíky. Děkuju.

    Řešení dotazu:


    Odpovědi

    vencour avatar 13.11.2009 15:53 vencour | skóre: 55 | blog: Tady je Vencourovo | Praha+západní Čechy
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.

    Zkusil bych něco jako "aptitude -v show jmeno_balicku".

    Ty nejhlubší objevy nečekají nutně za příští hvězdou. Jsou uvnitř nás utkány do vláken, která nás spojují, nás všechny.
    13.11.2009 15:53 Begleiter | skóre: 47 | blog: muj_blog | Doma
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.

    Tohle umí např. aptitude. Vypíše to mj. "Závisí na:"

    aptitude show jmeno_baliku

    Jendа avatar 13.11.2009 17:08 Jendа | skóre: 73 | blog: Výlevníček | JO70FB
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    Výše reagující: IMHO má na disku balíček a chce zjistit závislosti, ne z repozitáře.

    dpkg-deb -I název_balíku
    Vox agroferti, vox Dei.
    13.11.2009 21:05 Jaroslav Kopal
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    Rozumíme si? Já chci aby mi to napsalo závislosti nenainstalovaného balíku? zadám aptitude -D show gnome-ppp_0.3.23-1_i386 a odpoví mi to: E: Unable to locate package gnome-ppp_0.3.23-1_i386

    Přitom soubor package gnome-ppp_0.3.23-1_i386 je v adresáři kde se momentálně nalézám a on mi píše že ho nemůže najít???
    13.11.2009 21:09 Jaroslav Kopal
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    Oprava:

    Rozumíme si? Já chci aby mi to napsalo závislosti nenainstalovaného balíku? zadám aptitude -D show gnome-ppp_0.3.23-1_i386 a odpoví mi to: E: Unable to locate package gnome-ppp_0.3.23-1_i386

    Přitom package gnome-ppp_0.3.23-1_i386 je v adresáři kde se momentálně nalézám a on mi píše že ho nemůže najít???
    13.11.2009 21:13 Jaroslav Kopal
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    V kterém adresáři musí package gnome-ppp_0.3.23-1_i386 být aby aptitude -D show fungovalo? Tam co je příkaz aptitude ??? Dík.
    13.11.2009 21:11 Begleiter | skóre: 47 | blog: muj_blog | Doma
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.

    Zkuste pouhé aptitude show gnome-ppp

    13.11.2009 21:17 Jaroslav Kopal
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    Dobře zkusím, ale název souboru - package platí celý ne? Mohu ho zadat i s příponou .deb ne?
    Jendа avatar 13.11.2009 21:21 Jendа | skóre: 73 | blog: Výlevníček | JO70FB
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    dpkg-deb -I gnome-ppp_0.3.23-1_i386.deb
    Vox agroferti, vox Dei.
    13.11.2009 21:32 Jaroslav Kopal
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    Dobře Jendo H. Zkusím taky, ale tohle přece musí chodit taky ne? Kde je chyba ???

    Zatím nerozbalený balík mám v adresáři /home/jarda/Plocha Ten mám nastavený jako aktuální. To umístění v té cestě snad může být ne ??? Vše spouštím v Terminálu.
    13.11.2009 21:39 Begleiter | skóre: 47 | blog: muj_blog | Doma
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.

    Konečně chápu, co potřebujete. Máte stažený *.deb balíček a potřebujete zjistit, na kterých jiných balíčcích závisí. Toto je potom to pravé, co jste hledal:

    dpkg-deb --info ./jmeno_balicku.deb
    
    13.11.2009 21:26 Begleiter | skóre: 47 | blog: muj_blog | Doma
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    aptitude show gnome-ppp=0.3.23-1

    Z toho je vidět, že aptitude nepracuje s názvy souborů balíčků, ale má svoji vlastní databázi. Takže opdověď zní: ne.

    13.11.2009 21:39 Jaroslav Kopal
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    Příkaz aptitude má svojí vlastní databázi ??? A on dopředu ví jaké balíky budu používat ??? To si nedokážu představit. To musí mít teda databázi kde je všech 15 000 balíků pro Ubuntu včetně všech verzí ??? !!!
    vencour avatar 13.11.2009 21:44 vencour | skóre: 55 | blog: Tady je Vencourovo | Praha+západní Čechy
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.

    Pokud se nepletu, aptitude ví, co už nainstaloval. Když aptitude spustíte v textovém režimu/konsoli, objeví se menu ... ke jsou zobrazené počty balíčků. Čili nějaká vazba tam být musí. Stejně tak když něco zadáte na práci s repozitářem, nemáte odpověd hned ... něco ještě aptitude "řeší", než se vás zeptá, zda chcete to, co chcete.

    Ty nejhlubší objevy nečekají nutně za příští hvězdou. Jsou uvnitř nás utkány do vláken, která nás spojují, nás všechny.
    13.11.2009 21:46 Begleiter | skóre: 47 | blog: muj_blog | Doma
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.

    Já třeba ani gnome-ppp nemám nainstalované a přitom mi aptitude mj. poskytnul informaci, na kterých jiných balíčcích tento balíček závisí.

    13.11.2009 21:55 Jaroslav Kopal
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    No dobře tak zkusím to dpkg. A ještě jedna věc. Zkoušel jsem vypnout grafickou nadstavbu příkazem: sudo /etc/init.d/gdm stop to se zdálo být dobré, dostal jsem se na černou obrazovku a předpokládal jsem že to bude jakási konzola a vše tam bude fungovat jako v grafickém Terminálu. Jenže inverzním sudo /etc/init.d/gdm start už to nešlo. Vůbec to nereagovalo na příkazy např pwd ls atd.Musel jsem to vypnout protože ani exit quit Ctrl + Q, nic se nechytalo. Kam jsem se to dostal?
    13.11.2009 21:57 Jaroslav Kopal
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    Jak spustím Ubuntu jen v textovém režimu ???
    Jendа avatar 13.11.2009 22:06 Jendа | skóre: 73 | blog: Výlevníček | JO70FB
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    Když vypnete GDM, ve kterém jste přihlášený, zůstanete v 7. virtuální konzoli, ve které už nic neběží. Musíte se přepnout na nějakou jinou, kde běží getty, abyste se mohl přihlásit. Alt+F1 až Alt+F6.
    Vox agroferti, vox Dei.
    13.11.2009 22:10 Jaroslav Kopal
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    Jo to zní věrohodně. Vyzkouším to. Zatím děkuju. Taky doufám že to dpkg poběží. Ještě se teda ozvu.
    13.11.2009 22:13 Jaroslav Kopal
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    Ještě mi můžete sdělit jestli lze Ubuntu spustit jen v textovém režimu. Jakým příkazem? Dík.
    13.11.2009 22:42 Jaroslav Kopal
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    Jo to dpkg-deb -I funguje podle představ. To (>=2.41.2)u těch závislostí je asi to, že to musí být vyšší nebo alespoň stejná verze. Není liž pravda? Díky. Zase jsem se posunul trochu vpřed, ale hlemýžď je proti mě dostihovej kůň.
    13.11.2009 23:40 Jaroslav Kopal
    Rozbalit Rozbalit vše Re: Závislosti - dependencies instalovaného balíku.
    Skvěle! To s těma konzolama Alt F1 - F6 taky funguje. Už jsem opustil GNOME přeskočil do Alt +F2 nalogoval se a vrátil se nazpět do GNOME. A teď ještě poslední dotaz. Co dělá Guest session, Lock Screen, Log Out, Suspend a Hibernate. Log Out bude asi odhlášení ze systému, Lock Scren nějaké zamknutí displeje a to Guest Session - že by vyvolávání duchů? Jo a nezapomeňte na to, jestli se dá nastartovat rovnou do textového režimu. Díky. A dobrou noc.

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.